> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Context

> Fetch additional information context stored for conversations with a particular person.



## OpenAPI

````yaml get /api/v2/context
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/context:
    get:
      tags:
        - Knowledge
      summary: Fetch Context
      description: >-
        Fetch additional information context stored for conversations with a
        particular person.
      parameters:
        - name: target
          in: query
          required: true
          schema:
            type: string
          description: Phone number in E.164 format or VIDA username of the user
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  context:
                    type: string
                    example: >-
                      Customer Name: John Doe, Car Model: Toyota Camry, Last Oil
                      Change: 2023-05-15
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````